API ReferenceFiles
Create Thread Folder
Authorization
bearerAuth AuthorizationBearer <token>
Send a SimpleServe API key as Authorization: Bearer <key>.
In: header
Path Parameters
session_id*string
Match
^ses_[A-Za-z0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/sessions/string/folders" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "parent_id": "string", "expected_generation": 0 }'{ "id": "string", "session_id": "string", "parent_id": "string", "name": "string", "path": "string", "kind": "file", "file": { "id": "string", "object": "file", "purpose": "agent_input", "filename": "string", "media_type": "string", "size_bytes": 0, "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z" }, "revision_id": "string", "updated_at": "2019-08-24T14:15:22Z"}